> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/install/10.2-install/pentaho-installation-overview-cp/acquire-and-install-enterprise-licenses/install-and-manage-a-local-license-server.md).

# Install and manage a local license server

If you cannot access the cloud license server that is included with Pentaho to verify Pentaho product licenses, you can install a local license server behind your firewall to use for verifying licenses.

The local license server is a command line tool that is used to manage Pentaho licenses and perform various administrative tasks.

You can install a local license server on either Linux or Windows operating systems.

During the process of installing a local license server, you are provided with a URL for the product to connect to the license server (example: `http://<server_ip_address>:7070/api/1.0/instances/~`).

Users can also enter a URL to request a license from the local license server (example: `http://<server_ip_address>:7070/request`). The local license server communicates which licenses are available and the proper components are unlocked and made available to that user.

As part of your deployment, you might want to consider redundancy to prevent disruptions in application access due to local license server failures. For more information, see [Revenera License Server Failover](https://docs.revenera.com/fne/2022_02/adminguide/Content/helplibrary/License_Server_Failover.htm#lagfunctionality_2657120275_1032675) for details.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/install/10.2-install/pentaho-installation-overview-cp/acquire-and-install-enterprise-licenses/install-and-manage-a-local-license-server.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
